SDL::Rect(3)

NAME
SDL::Rect - a SDL perl extension

SYNOPSIS
  $rect = new SDL::Rect ( -height => 4, -width => 40 );

DESCRIPTION
"SDL::Rect::new" creates a SDL_Rect structure which is used for specifying regions for filling, blitting, and updating. These objects make it easy to cut and backfill. By default, x, y, h, w are 0.

  METHODS
The four fields of a rectangle can be set simply by passing a value to the applicable method. These are:

•
    "SDL::Rect::x"    sets and fetches the x position.

•
    "SDL::Rect::y"    sets and fetches the x position.

•   "SDL::Rect::width" sets and fetched the width.

•   "SDL::Rect::height" sets and fetched the height.

AUTHOR
David J. Goehrig

SEE ALSO
perl(1) SDL::Surface(3)